exports.estacionjoaquin = function(navController) {

Ti.include('google_kml.js');
var mainWindow = Titanium.UI.createWindow({
    title:'Metro San Joaquin'
});

var detailWindow = Titanium.UI.createWindow({
    backButtonTitle: 'Back',
    modal: true
});

var detailTableView = Titanium.UI.createTableView({
    style: Titanium.UI.iPhone.TableViewStyle.GROUPED
});


detailWindow.add(detailTableView);

var mapView = Titanium.Map.createView({
    mapType: Titanium.Map.STANDARD_TYPE,
    region: {
        latitude: 19.445814,
        longitude: -99.191844,
        latitudeDelta:0.1,
        longitudeDelta:0.1
        
        
    },
    animate: true,
    regionFit: true
});

mainWindow.add(mapView);

addLocationsToMap (mapView, "http://www.ideashappy.com/metromx/estaciones/sanjoaquin.json", {
    title:"name",
    subtitle:"street address",
    icon:"linea7.png"
});

addLocationsToMap (mapView, "http://www.ideashappy.com/metromx/estaciones/sanjoaquin_lugares.json", {
    title:"name",
    subtitle:"street address",
    icon:"cinema.png"
});

function addLocationsToMap (mapView, url, params) {
    var xhr = Titanium.Network.createHTTPClient();

    xhr.open('GET', url);

    xhr.onerror = function() {
    	
    };
    xhr.onload = function() {
        addLocations(mapView, JSON.parse(xhr.responseText),params);
    };
    xhr.send();
};

function addLocations(map, data, params) {
    for (var x in data.features) {

        if (x == 50) {
            break;
        }

        var o = data.features[x];

        var annotation = Titanium.Map.createAnnotation({
            latitude: o.geometry.coordinates[1],
            longitude: o.geometry.coordinates[0],
            title: o.properties[params.title] || params.title,
            subtitle: o.properties[params.subtitle] || params.subtitle,
            //pincolor: Titanium.Map.ANNOTATION_RED,
            image : params.icon,
            animate:true,
            _rowObject:data.features[x]
        });

        Ti.API.debug("annotation " + JSON.stringify(annotation));
        map.addAnnotation(annotation);
    }

}

/**
 *
 */
function addRoutes(url) {
    //code to add annotations here http://geocommons.com/overlays/105511
    var url = "http://www.albertoluebbert.com/metro_mexico.kml";

    //Add routes from a remote KML file to one map
    goog.maps.kml.addRoutesToMap(mapView, url);
}

/**
 *
 */
mapView.addEventListener('click', function(e) {
    if (e.clicksource == 'rightButton') {
        var annotation = e.annotation;

        if (annotation) {
            var title = annotation.title;
        }

    }
});


//mainWindow.open();
return mainWindow;
};